import { GraphQLInputObjectType, GraphQLString } from 'graphql';

import { createModuleNameFromMetaUrl } from '@/graphql/services/_helpers/common';

export const GET_AIW_THUMBNAIL_PAYLOAD = createModuleNameFromMetaUrl(import.meta.url);

export default new GraphQLInputObjectType({
  name: GET_AIW_THUMBNAIL_PAYLOAD,
  fields: {
    videoId: {
      type: GraphQLString,
    },
  },
});
